FLANG

Public Member Functions | List of all members
Fortran::runtime::io::RealOutputEditing< binaryPrecision > Class Template Reference
Inheritance diagram for Fortran::runtime::io::RealOutputEditing< binaryPrecision >:

## Public Member Functions
template<typename A >
| RealOutputEditing (IoStatementState &io, A x)
bool | Edit (const DataEdit &)

## Additional Inherited Members
Protected Member Functions inherited from Fortran::runtime::io::RealOutputEditingBase
| RealOutputEditingBase (IoStatementState &io)
const char * | FormatExponent (int, const DataEdit &edit, int &length)
bool | EmitPrefix (const DataEdit &, std::size_t length, std::size_t width)
bool | EmitSuffix (const DataEdit &)
Static Protected Member Functions inherited from Fortran::runtime::io::RealOutputEditingBase
static bool | IsInfOrNaN (const decimal::ConversionToDecimalResult &res)
Protected Attributes inherited from Fortran::runtime::io::RealOutputEditingBase
IoStatementState & | io_
int | trailingBlanks_ {0}
char | exponent_ [16]

The documentation for this class was generated from the following files:

- runtime/edit-output.h
- runtime/edit-output.cpp